Name:          jackcess
Version:       2.1.3
Release:       %mkrel 2
Group:         Development/Java
Summary:       Java library for reading from and writing to MS Access databases
License:       ASL 2.0
URL:           http://jackcess.sourceforge.net/
# svn checkout http://svn.code.sf.net/p/jackcess/code/jackcess/tags/jackcess-2.1.3
# tar cJf jackcess-2.1.3.tar.xz jackcess-2.1.3
Source0:       %{name}-%{version}.tar.xz

BuildRequires: maven-local
BuildRequires: mvn(commons-lang:commons-lang)
BuildRequires: mvn(commons-logging:commons-logging)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:12)
BuildRequires: mvn(org.apache.poi:poi)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)

BuildArch:     noarch

%description
Jackcess is a pure Java library for reading from and
writing to MS Access databases (currently supporting
versions 2000-2013).

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
find . -name "*.class" -print -delete
find . -name "*.jar" -print -delete

# com.healthmarketscience:openhms-parent:1.1.1
%pom_remove_parent
%pom_remove_plugin :cobertura-maven-plugin
%pom_remove_plugin :maven-changes-plugin

%pom_change_dep :log4j ::12

sed -i 's|"1582-10-15", "1582-10-14"|"1582-10-14", "1582-10-13"|' \
 src/test/java/com/healthmarketscience/jackcess/DatabaseTest.java
sed -i 's|"1492-01-10", "1392-01-10"|"1492-01-09", "1392-01-09"|' \
 src/test/java/com/healthmarketscience/jackcess/DatabaseTest.java

%mvn_file :%{name} %{name}
%mvn_file :%{name}-tests::tests: %{name}-tests
%mvn_package :::tests:

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc TODO.txt
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Fri May 19 2017 neoclust <neoclust> 2.1.3-2.mga6
+ Revision: 1103191
- New version 2.1.3

* Wed Mar 02 2016 neoclust <neoclust> 2.1.2-4.mga6
+ Revision: 982374
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.1.2-3.mga6
+ Revision: 976456
- First rebuild of the java stack
- sync package jackcess with fedora

